[arch-commits] Commit in python-prctl/repos/community-x86_64 (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Jun 11 12:33:44 UTC 2019


    Date: Tuesday, June 11, 2019 @ 12:33:43
  Author: felixonmars
Revision: 480398

archrelease: copy trunk to community-x86_64

Added:
  python-prctl/repos/community-x86_64/PKGBUILD
    (from rev 480397, python-prctl/trunk/PKGBUILD)
Deleted:
  python-prctl/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   79 +++++++++++++++++++++----------------------------------------
 1 file changed, 28 insertions(+), 51 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-06-11 12:33:15 UTC (rev 480397)
+++ PKGBUILD	2019-06-11 12:33:43 UTC (rev 480398)
@@ -1,51 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-prctl
-pkgname=('python-prctl' 'python2-prctl')
-pkgver=1.7
-pkgrel=2
-pkgdesc='Python(ic) interface to the linux prctl syscall'
-arch=('x86_64')
-license=('GPL')
-url='https://github.com/seveas/python-prctl'
-makedepends=('libcap' 'python' 'python2')
-checkdepends=('iputils' 'procps-ng')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/seveas/python-prctl/archive/v$pkgver.tar.gz")
-sha512sums=('f2a18fc8e9ef469722c6618d5dd6b7b558d4060783e6fb3a8dc868d9ed3fa21ade371f94a4538a24dca92a71f623a96638c96882d9cf0d3d499a9f12dae8538a')
-
-prepare() {
-  cp -a python-prctl-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/python-prctl-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/python-prctl-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/python-prctl-$pkgver
-  python -m unittest discover || warning "Tests failed"
-
-  cd "$srcdir"/python-prctl-$pkgver-py2
-  python2 -m unittest discover || warning "Tests failed"
-}
-
-package_python-prctl() {
-  depends=('python' 'libcap')
-
-  cd python-prctl-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-prctl() {
-  depends=('python2' 'libcap')
-
-  cd python-prctl-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-prctl/repos/community-x86_64/PKGBUILD (from rev 480397, python-prctl/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-06-11 12:33:43 UTC (rev 480398)
@@ -0,0 +1,28 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-prctl
+pkgver=1.7
+pkgrel=3
+pkgdesc='Python(ic) interface to the linux prctl syscall'
+arch=('x86_64')
+license=('GPL')
+url='https://github.com/seveas/python-prctl'
+depends=('python' 'libcap')
+checkdepends=('iputils' 'procps-ng')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/seveas/python-prctl/archive/v$pkgver.tar.gz")
+sha512sums=('f2a18fc8e9ef469722c6618d5dd6b7b558d4060783e6fb3a8dc868d9ed3fa21ade371f94a4538a24dca92a71f623a96638c96882d9cf0d3d499a9f12dae8538a')
+
+build() {
+  cd python-prctl-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd python-prctl-$pkgver
+  python -m unittest discover || warning "Tests failed"
+}
+
+package() {
+  cd python-prctl-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}


More information about the arch-commits mailing list